package cli

import (
	"fmt"
	"sevenkeys/logic"
)

func MainCliLoop(searchOptions logic.SearchOptions) {
	var command string

	for {
		command = GetStringResponse("SEVENKEYS $")

		switch command {
		case "quit":
			return
		case "splash":
			ShowSplashScreen()
			break
		case "stash":
			StashCliLoop(searchOptions)
			break
		default:
			fmt.Println("Unrecognized command:", command)
			break
		}
	}
}
